=== thirdparty/quazip/CMakeLists.txt ===
FILE(GLOB SRCS *.cpp *.c)
QTX_WRAP_CPP(MOC_SRCS quazipfile.h)

INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})

ADD_LIBRARY(${QuazipLibrary} SHARED ${SRCS} ${MOC_SRCS})

ADD_DEFINITIONS(-DQUAZIP_BUILD)

set(SRCS ${SRCS} ${MOC_SRCS})

SET_TARGET_PROPERTIES(${QuazipLibrary} PROPERTIES VERSION 1 SOVERSION 1.0.0)

TARGET_LINK_LIBRARIES(${QuazipLibrary} ${ZLIB_LIBRARY} ${QT_LIBRARIES})

INSTALL(TARGETS ${QuazipLibrary}
       RUNTIME DESTINATION ${TulipBinInstallDir} COMPONENT quazip
       LIBRARY DESTINATION ${TulipLibInstallDir} COMPONENT quazip
       ARCHIVE DESTINATION ${TulipLibInstallDir} COMPONENT quazip)
