=== debian/changelog ===
tulip (4.5.0dfsg-2build13) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 13:44:35 +0200

tulip (4.5.0dfsg-2build12) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Oct 2014 01:28:27 +0200

tulip (4.5.0dfsg-2build11) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Sep 2014 02:56:48 +0200

tulip (4.5.0dfsg-2build10) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 14:50:40 +0200

tulip (4.5.0dfsg-2build9) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Aug 2014 09:41:18 +0200

tulip (4.5.0dfsg-2build8) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Aug 2014 08:33:21 +0200

tulip (4.5.0dfsg-2build7) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 14:37:28 +0200

tulip (4.5.0dfsg-2build6) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2014 17:51:51 +0200

tulip (4.5.0dfsg-2build5) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jul 2014 00:17:38 +0200

tulip (4.5.0dfsg-2build4) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Jul 2014 16:46:33 +0200

tulip (4.5.0dfsg-2build3) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jun 2014 11:34:02 +0200

tulip (4.5.0dfsg-2build2) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 15:15:03 +0200

tulip (4.5.0dfsg-2build1) utopic; urgency=medium

  * No-change rebuild against the current version of binutils.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 05 Jun 2014 10:56:48 -0600

tulip (4.5.0dfsg-2) unstable; urgency=medium

  * Restricted binutils-dev build-dep from "any-i386" to "linux-i386
    kfreebsd-i386" just to exclude Hurd, which is not supported by the
    crash_handler support.
  * Add missing entries in debian/copyright (Closes: #748751).

 -- Yann Dirson <dirson@debian.org>  Tue, 20 May 2014 20:58:44 +0200

tulip (4.5.0dfsg-1) unstable; urgency=medium

  * New upstream release.
    * Dropped most patches, included upstream.
    * Thirdparty libs naming changed.
  * Forced ftgl lib name back to "ftgl" to force use of system lib.
  * Include full soname in thirdparty lib packages.
  * Build OGDF with -DOGDF_DLL to avoid useless and buggy cpuid call
    (Closes: #734318, #723982).  Had to get a related fix from latest OGDF
    snapshot for this to work.  Thanks to Aurelien Jarno for the
    diagnostic, and to Patrick Mary for his help in reaching a complete
    fix.
  * Really use dh_buildinfo again, it was lost during migration to dh.

 -- Yann Dirson <dirson@debian.org>  Sun, 18 May 2014 22:10:36 +0200
